import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';
var BASE_CLASS = 'sui-AtomRadioButton';
var CLASS_HIDDEN = "is-hidden";

var AtomRadioButton = function AtomRadioButton(_ref) {
  var _cx;

  var id = _ref.id,
      disabled = _ref.disabled,
      checked = _ref.checked,
      onChangeFromProps = _ref.onChange,
      isHidden = _ref.isHidden,
      value = _ref.value,
      props = _objectWithoutPropertiesLoose(_ref, ["id", "disabled", "checked", "onChange", "isHidden", "value"]);

  var handleChange = function handleChange(ev) {
    var _ev$target = ev.target,
        name = _ev$target.name,
        value = _ev$target.value;
    if (!disabled) onChangeFromProps(ev, {
      name: name,
      value: value
    });
  };

  var className = cx(BASE_CLASS, (_cx = {}, _cx[CLASS_HIDDEN] = isHidden, _cx));
  return React.createElement("input", Object.assign({
    className: className,
    value: value,
    type: "radio",
    id: id,
    disabled: disabled,
    checked: checked,
    onChange: handleChange
  }, props));
};

AtomRadioButton.displayName = 'AtomRadioButton';
AtomRadioButton.defaultProps = {
  checked: false,
  onChange: function onChange() {}
};
export default AtomRadioButton;